Bug 824365 - Default provider for the service type should be systemd instead of redhat
Default provider for the service type should be systemd instead of redhat
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
http://projects.puppetlabs.com/issues...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 06:56 EDT by Sandro Mathys
Modified: 2013-08-01 13:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:18:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2012-05-23 06:56:25 EDT
As of puppet 2.7.4, a 'systemd' provider is available for the 'service' type. This new provider should be used instead of the old-fashioned 'redhat' provider which still uses 'service' and 'chkconfig' commands.
Comment 1 Orion Poplawski 2012-11-26 13:38:21 EST
Filed upstream.  Seems like a good thing to try out.
Comment 2 Orion Poplawski 2012-11-26 14:05:02 EST
Note that this is dependent on issue http://projects.puppetlabs.com/issues/15911 working first (automatically adding .service), otherwise we'll break all existing configurations.
Comment 3 Todd Zullinger 2013-03-18 11:12:36 EDT
This seems like something we want to wait for upstream to toggle rather than doing it via patch of our own, right?  I'm not sure where things stand upstream on that.
Comment 4 Orion Poplawski 2013-03-18 11:17:31 EDT
Yes, we should wait for upstream.  See the URL link to track upstream status.
Comment 5 Fedora End Of Life 2013-07-04 01:58:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 13:18:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.